# Get capture details

> `GET https://api.kustom.co/ordermanagement/v1/orders/{order_id}/captures/{capture_id}`

Retrieve the details of a capture. To learn more, refer to the [Retrieving capture details](https://docs.kustom.co/contents/order-management/manage-orders-with-the-api/capture-and-track-orders#check-the-details-of-a-capture) article.

## Parameters

- `order_id` (string, path, required) — Order id
- `capture_id` (string, path, required) — Capture id

## Responses

### 200

Capture found.

`application/json`

- `billing_address` (object) — Shipping address for the capture.
  - `attention` (string) — 'Attn.' - optional parameter.
  - `city` (string) — City.
  - `country` (string) — Country. ISO 3166 alpha-2.
  - `email` (string) — E-mail address.
  - `family_name` (string) — Family name.
  - `given_name` (string) — Given name.
  - `organization_name` (string) — Organization name (if applicable). Only applicable for B2B customers.
  - `phone` (string) — Phone number.
  - `postal_code` (string) — Postcode. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html).
  - `region` (string) — State/Region. Required for US.
  - `street_address` (string) — First line of street address. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html)
  - `street_address2` (string) — Second line of street address.
  - `title` (string) — Title.
- `capture_id` (string) — The capture id. Generated when the capture is created.
- `captured_amount` (integer) — The captured amount in minor units.
- `captured_at` (string) — The time of the capture. Specified in ISO 8601.
- `description` (string) — Description of the capture shown to the customer.
- `klarna_reference` (string) — Customer friendly reference id, used as a reference when communicating with the customer.
- `order_lines[]` (array<object>) — List of order lines for the capture shown to the customer.
  - `image_url` (string) — URL to an image that can be embedded in communications between Klarna and the customer.
  - `merchant_data` (string) — Data about the order line.
  - `name` (string, required) — Descriptive item name.
  - `product_identifiers` (object) — product_identifiers
    - `brand` (string) — The product's brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel
    - `category_path` (string) — The product's category path as used in the merchant's webshop. Include the full and most detailed category and separate the segments with ' > '. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops
    - `color` (string) — Color to be shown to the end customer (max 64 characters). Example: Denim blue
    - `global_trade_item_number` (string) — The product's Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167
    - `manufacturer_part_number` (string) — The product's Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH
    - `size` (string) — Size to be shown to the end customer (max 64 characters). Example: 4
  - `product_url` (string) — URL to the product that can be used in communications between Klarna and the customer.
  - `quantity` (integer, required) — Item quantity.
  - `quantity_unit` (string) — Unit used to describe the quantity.
  - `reference` (string) — Article number, SKU, or similar identifier on the product variant level.
  - `tax_rate` (integer) — The tax rate in percent with two implicit decimals.
  - `total_amount` (integer, required) — Total amount including tax and discounts (`quantity * unit_price - total_discount_amount`).
  - `total_discount_amount` (integer) — The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000
  - `total_tax_amount` (integer) — The total tax amount in minor units.
  - `type` (string) — Order line type. Enum: `physical`, `discount`, `shipping_fee`, `sales_tax`, `store_credit`, `gift_card`, `digital`, `surcharge`, `return_fee`, `package`.
  - `unit_price` (integer, required) — Unit price including tax without applying discounts in minor units.
- `reference` (string) — Internal reference to the capture which will be included in the settlement files. Max length is 255 characters.
- `refunded_amount` (integer) — Refunded amount for this capture in minor units.
- `shipping_address` (object) — Shipping address for the capture. Same shape as `billing_address`.
- `shipping_info[]` (array<object>) — Shipping information for this capture.
  - `return_shipping_company` (string) — Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL'
  - `return_tracking_number` (string) — Tracking number for the return shipment. Maximum 100 characters.
  - `return_tracking_uri` (string) — URL where the customer can track the return shipment. Maximum 1024 characters.
  - `shipping_company` (string) — Name of the shipping company (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL'
  - `shipping_method` (string) — Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery)
  - `tracking_number` (string) — Tracking number for the shipment. Maximum 100 characters.
  - `tracking_uri` (string) — URI where the customer can track their shipment. Maximum 1024 characters.

```json
{
  "billing_address": {
    "attention": "Anders Exempelsson",
    "city": "Vetlanda",
    "country": "se",
    "email": "john.testsson@kustom.co",
    "family_name": "Testsson",
    "given_name": "John",
    "organization_name": "Kustom",
    "phone": "1-555-555-5555",
    "postal_code": 12345,
    "region": "TN",
    "street_address": "Testgatan 10",
    "street_address2": 1,
    "title": "Herr"
  },
  "capture_id": "4ba29b50-be7b-44f5-a492-113e6a865e22",
  "captured_amount": 0,
  "captured_at": "2025-11-19T01:51:17Z",
  "description": "Order has been shipped",
  "klarna_reference": "K4MADNY-1",
  "order_lines": [
    {
      "image_url": "https://yourstore.example/product/headphones.png",
      "merchant_data": "Some metadata",
      "name": "<string>",
      "product_identifiers": {
        "brand": "Intel",
        "category_path": "Electronics Store > Computers & Tablets > Desktops",
        "color": "Denim blue",
        "global_trade_item_number": 735858293167,
        "manufacturer_part_number": "BOXNUC5CPYH",
        "size": 4
      },
      "product_url": "https://yourstore.example/product/headphones",
      "quantity": 1,
      "quantity_unit": "pcs.",
      "reference": 75001,
      "tax_rate": 0,
      "total_amount": 0,
      "total_discount_amount": 0,
      "total_tax_amount": 0,
      "type": "physical",
      "unit_price": 0
    }
  ],
  "reference": "<string>",
  "refunded_amount": 0,
  "shipping_address": {
    "attention": "Anders Exempelsson",
    "city": "Vetlanda",
    "country": "se",
    "email": "john.testsson@kustom.co",
    "family_name": "Testsson",
    "given_name": "John",
    "organization_name": "Kustom",
    "phone": "1-555-555-5555",
    "postal_code": 12345,
    "region": "TN",
    "street_address": "Testgatan 10",
    "street_address2": 1,
    "title": "Herr"
  },
  "shipping_info": [
    {
      "return_shipping_company": "DHL SE",
      "return_tracking_number": 93456415674545680000,
      "return_tracking_uri": "http://shipping.example/findmypackage?93456415674545679888",
      "shipping_company": "DHL SE",
      "shipping_method": "Home",
      "tracking_number": 63456415674545680000,
      "tracking_uri": "http://shipping.example/findmypackage?63456415674545679874"
    }
  ]
}
```

### 404

Order or capture not found.

`application/json`

- `correlation_id` (string) — Correlation id. For searching logs.
- `error_code` (string) — Error code
- `error_messages[]` (array<string>) — Error messages

```json
{
  "correlation_id": "66782175-ae05-44fc-9eb3-eeceadbad271",
  "error_code": "NO_SUCH_ORDER",
  "error_messages": [
    "<string>"
  ]
}
```

### 409

Conflict

`*/*`

```json
"<string>"
```

### Errors

| Code | Status | What it means | Retry |
| --- | --- | --- | --- |
| `NO_SUCH_CAPTURE` | 404 | No capture exists with that id on this order. | Never retry |
